boost::geometry::strategy::distance::services::default_strategy< GeometryTag1, GeometryTag2, Point1, Point2, CsTag1, CsTag2, UnderlyingStrategy > Struct Template Reference
distance: calculate distance between two geometries

Traits class binding a default strategy for distance to one (or possibly two) coordinate system(s) More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THIS_POINT_TYPE_COMBINATION,(types< Point1, Point2, CsTag1, CsTag2 >))

## Detailed Description

### template<typename GeometryTag1, typename GeometryTag2, typename Point1, typename Point2 = Point1, typename CsTag1 = typename cs_tag<Point1>::type, typename CsTag2 = typename cs_tag<Point2>::type, typename UnderlyingStrategy = void>
struct boost::geometry::strategy::distance::services::default_strategy< GeometryTag1, GeometryTag2, Point1, Point2, CsTag1, CsTag2, UnderlyingStrategy >

Traits class binding a default strategy for distance to one (or possibly two) coordinate system(s)

Template Parameters:

  GeometryTag1 | tag (point/segment/box) for which this strategy is the default
  GeometryTag2 | tag (point/segment/box) for which this strategy is the default
  Point1 | first point-type
  Point2 | second point-type
  CsTag1 | tag of coordinate system of first point type
  CsTag2 | tag of coordinate system of second point type

## Member Function Documentation

template<typename GeometryTag1 , typename GeometryTag2 , typename Point1 , typename Point2 = Point1, typename CsTag1 = typename cs_tag<Point1>::type, typename CsTag2 = typename cs_tag<Point2>::type, typename UnderlyingStrategy = void>

boost::geometry::strategy::distance::services::default_strategy< GeometryTag1, GeometryTag2, Point1, Point2, CsTag1, CsTag2, UnderlyingStrategy >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THIS_POINT_TYPE_COMBINATION | ,
|  | (types< Point1, Point2, CsTag1, CsTag2 >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK